cURL
curl --request GET \
--url https://api.creatify.ai/api/asset_generator/{id}/ \
--header 'X-API-ID: <api-key>' \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.creatify.ai/api/asset_generator/{id}/"
headers = {
"X-API-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-ID': '<api-key>', 'X-API-KEY': '<api-key>'}};
fetch('https://api.creatify.ai/api/asset_generator/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_name": "<string>",
"gen_type": "<string>",
"failed_reason": "<string>",
"assets": "<string>",
"duration": 123,
"input_params": {},
"credits_used": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "initializing",
"aspect_ratio": "<string>",
"output_nums": -1,
"resolution": "<string>",
"webhook_url": "<string>"
}API Reference
Get Asset Generator item by id
Mixin to provide a reusable list method for filtering and paginating queryset results.
GET
/
api
/
asset_generator
/
{id}
/
cURL
Authorizations
API ID, from your settings page.
API Key, from your settings page.
Path Parameters
A UUID string identifying this AI Tools Flow Asset.
Response
200 - application/json
Name of the AI generation model used.
Type of the AI generation model used.
Reason for failure if the generation failed.
List of generated assets.
Input parameters used for AI generation.
Credits used in this API call
initializing- initializinggenerating- generatingdone- donefailed- failed
Available options:
initializing, generating, done, failed Aspect ratio of the asset
Maximum string length:
128Number of outputs
Required range:
-2147483648 <= x <= 2147483647e.g., 1080x1920
Maximum string length:
128Webhook URL for status updates. Default is null.
Maximum string length:
200
